Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.AsChild<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

Enclosing class:
  Graph

    public static interface Graph.AsChild<Next>

A component that defines a new child name for a node.

Method Summary
`Next` | `as(Name newName)` Finish the request by specifying the name of the new child node.
`Next` | `as(Path.Segment newSegment)` Finish the request by specifying the exact segment for the new child node.
`Next` | `as(String newName)` Finish the request by specifying the name of the new child node.

Method Detail

### as

    Next as(Path.Segment newSegment)

  Finish the request by specifying the exact segment for the new child node. If no segment already exists, this request should fail.

  Parameters:
    `newSegment` - the new name
  Returns:
    the interface for additional requests or actions

### as

    Next as(Name newName)

  Finish the request by specifying the name of the new child node. This method indicates that the child should be added as a new node with the given name at the end of the parents children

  Parameters:
    `newName` - the new name
  Returns:
    the interface for additional requests or actions

### as

    Next as(String newName)

  Finish the request by specifying the name of the new child node. This method indicates that the child should be added as a new node with the given name at the end of the parents children

  Parameters:
    `newName` - the new name
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.